ViewControllerT Methods

The ViewControllerT generic type exposes the following members.

Methods
  NameDescription
Public methodCreate
POST /View/ Creates a view.
Public methodCreateLocalUserCopy
POST /View/CreateLocalUserCopy/{id} Creates a local user copy of a view and any metric sets which are not sub entries.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodGenerateAndStoreViewThumbnail
POST /View/GenerateAndStoreViewThumbnail/{id} Queues an asynchronous operation to generate a thumbnail for the specified view and store it in the application database.
Public methodGetById
GET /View/{id} Retrieves a view.
Public methodGetByIds
POST /View/GetByIds/ Retrieves a view.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodTrackUsage
PUT /View/TrackUsage/{id} Tracks the usage for the view provided. If the session and client ID are not provided, the current cookie values are used.
Public methodUpdate
PUT /View/{id} Updates view.
Top
See Also